Bug 1177055 - Tracker mesos - Cluster Manager to epel7
Summary: Tracker mesos - Cluster Manager to epel7
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mesos
Version: epel7
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 957337 1207214
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-24 01:11 UTC by Ratnadeep Debnath
Modified: 2019-02-28 15:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 15:03:57 UTC


Attachments (Terms of Use)

Description Ratnadeep Debnath 2014-12-24 01:11:21 UTC
Spec URL: https://rtnpro.fedorapeople.org/Packages/SPECS/mesos.spec
SRPM URL: https://rtnpro.fedorapeople.org/Packages/SRPMS/mesos-0.21.0-5.ab8fa65.el7.centos.src.rpm

Description: Apache Mesos is a cluster manager that provides efficient resource
isolation and sharing across distributed applications, or frameworks.
It can run Hadoop, MPI, Hypertable, Spark, and other applications on
a dynamically shared pool of nodes.

Fedora Account System Username: rtnpro

Comment 1 Ratnadeep Debnath 2014-12-25 12:51:07 UTC
I have written some simple Python scripts[1] to figure out all missing dependencies for mesos in CentOS 7 and EPEL 7 repositories and generate data for creating a dependency graph.

Here's what I got: [2]. The data may not be perfect, but it's a good point to start. In Fedora 21, Java packages use java-1.8.0-openjdk. However, I was able to run successful build on EPEL7 enabled CentOS 7 with java-1.7.0-openjdk. So, I will start by updating the Java dependency for all Java based packages and run their builds.

[1]: https://github.com/rtnpro/rpmdev-assistant
[2]: https://gist.github.com/rtnpro/49bcc7020dd9a095bca9

Comment 2 Ratnadeep Debnath 2015-01-06 18:12:41 UTC
I have started packaging the dependencies from [1] for EPEL 7. Shall I start creating review request for each dependency separately, as I proceed?

[1]: https://gist.github.com/rtnpro/49bcc7020dd9a095bca9

Comment 3 kushaldas@gmail.com 2015-01-06 18:21:19 UTC
Yes, start filing one review request for each new package.

Comment 4 Ratnadeep Debnath 2015-01-14 15:34:08 UTC
@Timothy,

ping?

Regards,
rtnpro

Comment 5 Timothy St. Clair 2015-03-19 19:48:57 UTC
mesos 0.22.0 is almost ready. 

Lets start the chain of events and break out dependencies that don't exist in in epel 7, each dep will need to be a BZ for inclusion and mark as blocking *this ticket.

Comment 6 Timothy St. Clair 2015-03-19 20:08:58 UTC
Dependency Graph: 
----------------------------------------------
Available: 

leveldb
  1.12.0-5 (http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/leveldb.html)

boost
  1.53.0 (el7) 

distribute-0.6.26.tar.gz
  python-setuptools 0.9.8 (el7)

protobuf
   2.5.0-7 (http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/protobuf.html) 

gperftools
   2.1-1 (http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/gperftools.html) 

ry-http-parser
   http-parser-2.0-4 (http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/http-parser.html) 

libev
   libev-4.15-3.el7 (http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/libev.html) 

gtest (http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/gtest.html) 

glog (http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/glog.html) 

----------------------------------------------
Missing dependencies: 

picojson (in fedora + self contained)

zookeeper (in fedora): (deps subject to change on v3.4.6 upgrade) 
  - Missing requires: 
    - ivy-local (fedora local ivy resolver) could possibly skip if EL has better mechanics.
    - jtoaster (fedora) 

gmock (in fedora)

Comment 7 Timothy St. Clair 2015-03-30 12:52:57 UTC
It appears gmock has been submitted, and I submitted a bugzilla for an epel branch for picojson.

Comment 8 Timothy St. Clair 2015-04-06 15:44:26 UTC
remaining deps: 

zookeeper (in fedora): (deps subject to change on v3.4.6 upgrade) 
  - Missing requires: 
    - ivy-local (fedora local ivy resolver) could possibly skip if EL has better mechanics.
    - jtoaster (fedora) 

I need to fix zookeeper for f22 so I'll investigate during that time.

Comment 9 Jay Vyas 2015-04-06 16:01:40 UTC
happy to lend a hand if anything i can do to help.

Comment 10 Timothy St. Clair 2015-05-12 02:37:49 UTC
Current missing dep-graph for zk rebuild on epel7:

Error: No Package found for checkstyle
Error: No Package found for ivy-local
Error: No Package found for jdiff
Error: No Package found for jtoaster
Error: No Package found for netty

Comment 11 Timothy St. Clair 2015-05-12 02:51:45 UTC
Uncertain why checkstyle fails on an epel rebuild as it's part of EL.

Comment 12 Ratnadeep Debnath 2015-05-12 07:28:39 UTC
Timothy,

I had rebuilt most of the missing dependencies for epel7. I think I should have RPMs for the above. I will share the RPMs once I reach home.

Regards,
rtnpro

Comment 13 Ratnadeep Debnath 2015-05-12 17:26:45 UTC
Hi Timothy,

I have uploaded the RPMS for jetty, jtoaster, jdiff, checkstyle that I had built for epel7 here: https://www.dropbox.com/sh/y2awx8m5zj9n7j6/AADPBmH3-kSRQJqUNviEImhGa?dl=0

Please have a look and let me know if they are OK? If there's some thing that needs to be fixed, please let me know.

Regards,
rtnpro

Comment 14 Ratnadeep Debnath 2015-05-12 18:33:24 UTC
Hey Timothy,

I have uploaded the above packages to: https://rtnpro.fedorapeople.org/mesos/ as well.

Looking forward for your feedback.

Regards,
rtnpro

Comment 15 Timothy St. Clair 2015-05-14 21:03:11 UTC
rtnpro, 

Sadly in order to mesos into epel7 channels, all the deps are required to get into channels as well. 

Currently jtoaster is now in: http://koji.fedoraproject.org/koji/buildinfo?buildID=636972

Comment 16 Ratnadeep Debnath 2015-05-17 10:17:07 UTC
Hi Timothy,

I believe I have the dependencies for the above packages built as well. Could you take a look at https://www.dropbox.com/sh/l76bdxotj07s0sy/AAA163YMgDDueuGbMPLkmw8aa?dl=0 and see if it's helpful?

Regards,
rtnpro

Comment 18 Carl George 2019-02-25 15:27:51 UTC
mesos is in Fedora, so moving this over to the mesos component as it is now a branch request.

Comment 19 Simone Caronni 2019-02-28 15:03:57 UTC
Package has been retired.


Note You need to log in before you can comment on or make changes to this bug.